﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using ScheduleInRazorPage.Models;
using static ScheduleInRazorPage.Models.ScheduleData;

namespace ScheduleInRazorPage.Pages
{
    public class IndexModel : PageModel
    {
        public System.Collections.Generic.List<AppointmentData> Datasource { get; set; }
        public System.Collections.Generic.List<ResourceDataSourceModel> ResourceDatasource { get; set; }
        public void OnGet()
        {
            Datasource = new ScheduleData().GetScheduleData().ToList();
            List<ResourceDataSourceModel> conferences = new List<ResourceDataSourceModel>();
            conferences.Add(new ResourceDataSourceModel { text = "Assigned", id = 1, color = "green" });
            conferences.Add(new ResourceDataSourceModel { text = "UnAssigned", id = 2, color = "red" });
            ResourceDatasource = conferences.ToList();
        }
    }
}
